Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.portal.tools.da.taxonomy.content
Class AssignedItemsTaxonomy

    java.lang.Object
      com.bea.p13n.delegation.taxonomy.ParentedTaxonomyBuilder
          com.bea.portal.tools.da.taxonomy.content.AssignedItemsTaxonomy

All Implemented Interfaces
  TaxonomyBuilder, Serializable

    public class AssignedItemsTaxonomy

extends ParentedTaxonomyBuilder

Taxonomy for the content AssignedItems node, which is contained within the content Workspace root taxonomy

See Also
  Serialized Form

Field Summary

Fields inherited from interface com.bea.p13n.delegation.taxonomy.TaxonomyBuilder
`TAXONOMY_DELIMITER`

Constructor Summary
`AssignedItemsTaxonomy(ContentWorkSpaceRootTaxonomy parentTaxonomy)` Constructs an AssignedItems taxonomy, parented by the root content Workspace taxonomy

Method Summary
`String` | `getLeafTaxonomy()` Method that individual `ParentedTaxonomyBuilder` implementations implement to provide the leaf portion of their taxonomy, which will in most cases be directed derived from the resource they represent.

Methods inherited from class com.bea.p13n.delegation.taxonomy.ParentedTaxonomyBuilder
`buildTaxonomy, getParentTaxonomy, getTaxonomyLevel, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### AssignedItemsTaxonomy

    public AssignedItemsTaxonomy(ContentWorkSpaceRootTaxonomy parentTaxonomy)

  Constructs an AssignedItems taxonomy, parented by the root content Workspace taxonomy

  Parameters
    `parentTaxonomy` - the parent ContentWorkSpaceRootTaxonomy

Method Detail

### getLeafTaxonomy

    public String getLeafTaxonomy()

  Description copied from class: `ParentedTaxonomyBuilder`
  Method that individual `ParentedTaxonomyBuilder` implementations implement to provide the leaf portion of their taxonomy, which will in most cases be directed derived from the resource they represent.

  Specified by:
    `getLeafTaxonomy` in class `ParentedTaxonomyBuilder`
  Returns

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
Oracle is a registered trademark of Oracle Corporation and/or its affiliates.
Other names may be trademarks of their respective owners.